<?php
require("./total.inc");

session_start();
require("./ninsyou.inc");
if(0 > ninsyou_check(5)){
   exit;
   }


echo "<HTML>";
echo "<HEAD>";
echo "<meta http-equiv='Content-Type' content='text/html; charset=EUC-JP'>";
echo "<TITLE>Zither server Administration tool 'Apollon'</TITLE>";

echo "<style type='text/css'>";
echo "<!--
a { text-decoration:none; }
a:hover { text-decoration:underline; }
a:hover { color:red; }

.example {
width: 100%;
max-width: 80px;
min-width: 50px;
}
.fs {font-size: xx-small; }

-->";
echo "</style>";


echo "</HEAD>";



print("<BODY Link='#FF8C00' Vlink='#FF8C00' Alink='#FF8C00'  bgcolor='$my_bgcolor' >\n");

echo "<center>";
print("<TABLE border='0' bgcolor='FFA500' cellspacing='3' cellpadding='0' width=100%>\n");
print("<tr><td>");
print("<font color='ffffff'><b>監視追加ウイザード</b></font>");
print("</td></tr>");
print("</table>");


echo "<form>";
echo "  <input type='button' value='監視テンプレート集に移動' onClick=\"window.open('./monitor_new2.php', 'menu', 'width=200,height=670')\">";
echo "</form>";


$COME = enco($_GET["COME"]);
$CNAME = enco($_GET["CNAME"]);
$MONITOR = enco($_GET["MONITOR"]);
$SIGN = enco($_GET["SIGN"]);
$PROTO = enco($_GET["PROTO"]);
$COM = enco($_GET["COM"]);
$CIP = enco($_GET["CIP"]);
$PORT = enco($_GET["PORT"]);
$WTIME = enco($_GET["WTIME"]);
$PINFO = enco($_GET["PINFO"]);
$PRINO = enco($_GET["PRINO"]);
$FREE1 = enco($_GET["FREE1"]);
$FREE2 = enco($_GET["FREE2"]);
$FREE3 = enco($_GET["FREE3"]);
$FREE4 = enco($_GET["FREE4"]);




$step1 = strlen($MONITOR);
$step2 = strlen($PROTO);
$step3 = strlen($CIP);
$step4 = strlen($PRINO);
$step5 = strlen($PORT);
$step6 = strlen($PINFO);
$step7 = strlen($FREE1);
$step8 = strlen($COM);

// データの有効性を確認

if(8 < strlen($MONITOR)){
   $MONITOR = "NOT";
   }
if(0 != strcmp("ASCII", mb_detect_encoding($MONITOR))){
   $MONITOR = "NOT";
   }

if(8 < strlen($PROTO)){
   $PROTO = "NOT";
   }
if(0 != strcmp("ASCII", mb_detect_encoding($PROTO))){
   $PROTO = "NOT";
   }

if(128 < strlen($CIP)){
   $CIP = "0";
   }
if(0 != strcmp("ASCII", mb_detect_encoding($CIP))){
   $CIP = "0";
   }

if(4 < strlen($PRINO)){
   $PRINO = "6";
   }
if(0 != strcmp("ASCII", mb_detect_encoding($PRINO))){
   $PRINO = "6";
   }

if(8 < strlen($PORT)){
   $PORT = "0";
   }
if(0 != strcmp("ASCII", mb_detect_encoding($PORT))){
   $PORT = "0";
   }

if(128 < strlen($PINFO)){
   $PINFO = "NOT";
   }

if(128 < strlen($FREE1)){
   $FREE1 = "NOT";
   }

if(128 < strlen($COM)){
   $COM = "NOT";
   }
if(0 != strcmp("ASCII", mb_detect_encoding($COM))){
   $COM = "NOT";
   }




// Cname Bname List 
$conn = db_connect();
if(!$conn){
   echo "not connection!<br>";
   exit;
   }

//  監視ブロック名リスト作成
$bname_count = 0;
$result = db_query($conn, "select distinct(bname) from userblock;");
if(!$result){
   print("banem select , bud query\n");
   exit;
   }
$num = db_num_rows($result);
if($num > 0){
   while($bname_count < $num){
      $bname_data[$bname_count] = enco_rtrim(db_fetch_Result($result, $bname_count, bname));
      $result1=db_query($conn,"select distinct(cname) from userblock where bname='$bname_data[$bname_count]';");
      if(!$result1){
         print("bname , canem select , bud query\n");
         exit;
         }
      $num1 = db_num_rows($result1);
      if($num1 > 0){
         $cname_data[$bname_count] = enco_rtrim(db_fetch_Result($result1, 0, cname));
         }
      $bname_count++;
      }
   }
else{
   print("NG 監視ブロックが無いです \n");
   }
db_free_result($result);
db_free_result($result1);


$cname_count = 0;
$result=db_query($conn,"select distinct(cname) from connection;");
if(!$result){
   print("canem select , bud query\n");
   exit;
   }
$num = db_num_rows($result);
if($num > 0){
   while($cname_count < $num){
      $xcname_data[$cname_count] = enco_rtrim(db_fetch_Result($result, $cname_count, cname));
      $cname_count++;
      }
   }
db_free_result($result);
db_Close($conn);
// Cname Bname List 










print("<TABLE border='1' cols=2 bgcolor='#ccFFFF' align='center' cellspacing='1' cellpadding='1' width=100%>\n");

print("<tr>");
print("<td class='fs'>監視ブロック</td><td class='fs'>$FREE4<br></td>");
print("</tr>");

print("<tr>");
print("<td class='fs'>属性</td><td class='fs'>$MONITOR<br></td>");
print("</tr>");
print("<tr>");
print("<td class='fs'>プロトコル</td><td class='fs'>$PROTO<br></td>");
print("</tr>");
print("<tr>");
print("<td class='fs'>監視対象</td><td class='fs'>$CIP<br></td>");
print("</tr>");
print("<tr>");
print("<td class='fs'>重要度</td><td class='fs'>$PRINO<br></td>");
print("</tr>");
print("<tr>");
print("<td class='fs'>ポート</td><td class='fs'>$PORT<br></td>");
print("</tr>");
print("<tr>");
print("<td class='fs'>対象の情報</td><td class='fs'>$PINFO<br></td>");
print("</tr>");
print("<tr>");
print("<td class='fs'>監視の情報</td><td class='fs'>$FREE1<br></td>");
print("</tr>");
print("<tr>");
print("<td class='fs'>コマンド</td><td class='fs'>$COM<br></td>");
print("</tr>");

echo "</table>";


// echo "<center>";
print("<TABLE border='0' bgcolor='FFEBCD' cellspacing='0' cellpadding='0' width=100%>\n");


$step1 = strlen($MONITOR);
$step2 = strlen($PROTO);
$step3 = strlen($CIP);
$step4 = strlen($PRINO);
$step5 = strlen($PORT);
$step6 = strlen($PINFO);
$step7 = strlen($FREE1);
$step8 = strlen($COM);

// strlen($COME);
// strlen($CNAME);
// strlen($SIGN);
// strlen($COM);
// strlen($PORT);
// strlen($WTIME);
// strlen($PINFO);

print("<FORM METHOD=GET ACTION='./monitor_new.php' target='menu'>\n");

if($step1 <= 0){
   $count = 1;
   print("<br>");
   print("<tr>");
   print("<td>");
   print("STEP1: 登録先監視ブロック\n");
   print("</td>");
   print("</tr>");
   print("<tr>");
   print("<td>");

// echo "<select size=1 name=CNAME class='example'>";
// echo "<option value=''>なし";
// for($select_count = 0; $select_count < $cname_count; $select_count++){
//    echo "<option value=$xcname_data[$select_count]>$xcname_data[$select_count]";
//    }
// echo "</select>";

   echo "<select size=1 name=FREE4 class='example'>";
   echo "<option value=''>なし";
   for($select_count = 0; $select_count < $bname_count; $select_count++){
      echo "<option value=$bname_data[$select_count]>$bname_data[$select_count] ($cname_data[$select_count])";
      }
   echo "</select>";


// print("<select size=1 name=BNAME>");
// print("<option value=PORT>PORT");
// print("</select>\n");

   print("</td>");
   print("</tr>");
   print("<tr>");
   print("<td>");
   print("STEP1: 監視の属性\n");
   print("</td>");
   print("</tr>");
   print("<tr>");
   print("<td>");
   print("<select size=1 name=MONITOR>");
   print("<option value=PORT>PORT");
   print("<option value=SNMP>SNMP");
   print("</select>\n");
   print("</td>");
   print("</tr>");



   print("<tr><td><br>");
   print("監視の属性を選択。<br><br>");
   print("PORT:  ポートチェック <br>");
   print("SNMP:  SNMPチェック <br>");
   print("<br>");
   print("<a href='./monitor_manu.php?QUE_DATA=MONITOR&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
   print("</td></tr>");
   }

elseif($step1 > 0 && 0 == strcmp($MONITOR, "PORT") && $step2 <= 0){
   $count = 2;
   print("<tr><td>");
   print("STEP2: 監視のプロトコル<br><br>\n");
   print("</td></tr>");
   print("<tr><td>");
   print("<select size=1 name=PROTO>");
   print("<option value=ICMP>ICMP疎通確認");
   print("<option value=UDP>UDPポートチェック");
   print("<option value=TCP>TCPポートチェック");
   print("<option value=URL>URLステータス");
   print("<option value=GET>URLステータス GET");
   print("<option value=SSL>SSLのURLステータス");
   print("<option value=SMTP>SMTPステータス");
   print("<option value=FTP>FTPステータス");
   print("<option value=POP>POPステータス");
   print("<option value=MYSQL>MYSQLステータス");
   print("<option value=PGSQL>PGSQLステータス");
   print("<option value=SSH>SSHステータス");
   print("<option value=SNTP>NTPサーバとの時間差確認");
   print("<option value=HOST>DNSの名前検索確認");
   print("</select>");
   print("</td></tr>");

   print("<tr><td>");
   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");
   print("<br>");
   print("<a href='./monitor_manu.php?QUE_DATA=PROTO&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
   print("</td></tr>");

   }


elseif($step1 > 0 && 0 == strcmp($MONITOR, "SNMP") && $step8 <= 0){
   $count = 3;
   print("<tr><td>");
   print("STEP2-1: SNMP OID記載");
   print("</td></tr>");
   print("<tr><td>");
   print("<INPUT type='text' NAME=COM value=>");
   print("</td></tr>");

   print("<tr><td>");
   print("STEP2-2: SNMP 閾値");
   print("</td></tr>");
   print("<tr><td>");
   print("<INPUT type='text' NAME=PROTO value=>");
   print("<br>");
   print("<a href='./monitor_manu.php?QUE_DATA=COM_SNMP&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
   print("</td></tr>");

   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");

   }


elseif($step1 > 0 && $step2 > 0 && $step3 <= 0){
   $count = 4;
   if(0 == strcmp($PROTO, "URL")){
      print("<tr><td>");
      print("STEP3: 監視先のURL(http://はいらない)");
      print("</td></tr>");
      print("<tr><td>");
      print("<INPUT type='text' NAME=CIP value='$CIP'>");
      print("<br>");
      print("<a href='./monitor_manu.php?QUE_DATA=CIP&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
      print("</td></tr>");
      }
   elseif(0 == strcmp($PROTO, "SSL")){
      print("<tr><td>");
      print("STEP3: 監視先のURL(SSL https:// はいらない)");
      print("</td></tr>");
      print("<tr><td>");
      print("<INPUT type='text' NAME=CIP value='$CIP'>");
      print("<br>");
      print("<a href='./monitor_manu.php?QUE_DATA=CIP&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
      print("</td></tr>");
      }
   elseif(0 == strcmp($PROTO, "HOST")){
      print("<tr><td>");
      print("STEP3: DNSで検索するHOST名");
      print("</td></tr>");
      print("<tr><td>");
      print("<INPUT type='text' NAME=CIP value='$CIP'>");
      print("</td></tr>");

      print("<tr><td>");
      print("STEP8: 検索ホスト名の比較アドレス\n");
      print("</td></tr>");
      print("<tr><td>");
      print("<INPUT type='text' NAME=COM value=>");
      print("<br>");
      print("<a href='./monitor_manu.php?QUE_DATA=CIP&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
      print("</td></tr>");

      print("<tr><td>");
      print("<br>");
      print("DNSで引かれたIPと比較するIP\n");
      print("<br>");
      print("</td></tr>");

      }
   else {
      print("<tr><td>");
      print("STEP3: 監視先のIP,HOST名");
      print("</td></tr>");
      print("<tr><td>");
      print("<INPUT type='text' NAME=CIP value='$CIP'>");
      print("<br>");
      print("<a href='./monitor_manu.php?QUE_DATA=CIP&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
      print("</td></tr>");
      }
 

   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");
   print("<input type=hidden value='$PROTO' name=PROTO>\n");
   if(0 != strcmp($PROTO, "HOST")){
      print("<input type=hidden value='$COM' name=COM>\n");
      }
   }

elseif($step1 > 0 && $step2 > 0 && $step3 > 0 && $step4 <= 0){
   $count = 5;
   print("<tr><td>");
   print("STEP4: プライオリティー\n");
   print("</td></tr>");
   print("<tr><td>");
   print("<select size=1 name=PRINO>");
   print("<option value=1>1最強");
   print("<option value=2>2通常");
   print("<option value=3>3メール無し");
   print("<option value=4>4 TEST");
   print("<option value=5>5 LOGING");
   print("<option value=11>監視ログ(11)");
   print("<option value=12>監視ログ(12)");
   print("<option value=13>監視ログ(13)");
   print("</select>");
   print("<br>");
   print("<a href='./monitor_manu.php?QUE_DATA=PRINO&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
   print("</td></tr>");

   print("<tr><td>");
   print("<br>");
   print("3以下はメールなし\n");
   print("<br>");
   print("4はテストモード\n");
   print("<br>");
   print("4で状況を確認しましょう\n");
   print("<br>");
   print("4は無条件でステータスを戻します\n");
   print("<br>");
   print("</td></tr>");

   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");
   print("<input type=hidden value='$PROTO' name=PROTO>\n");
   print("<input type=hidden value='$CIP' name=CIP>\n");
   print("<input type=hidden value='$COM' name=COM>\n");

   }

elseif($step1>0 && $step2>0 && $step3>0 && $step4>0 && $step5<=0){
   $count = 6;
   if(0 == strcmp($MONITOR, "PORT")){
      if(0 == strcmp($PROTO, "ICMP")){
         print("<tr><td>");
         print("STEP5: ICMPポート0固定\n");
         print("</td></tr>");
         print("<tr><td>");
         print("<INPUT type='hidden' NAME=PORT size='8' value='0'>");
         print("</td></tr>");
         }
      elseif(0 == strcmp($PROTO, "SNTP")){
         print("<tr><td>");
         print("STEP5: NTPポート123固定\n");
         print("</td></tr>");
         print("<tr><td>");
         print("<INPUT type='hidden' NAME=PORT size='8' value='123'>");
         print("</td></tr>");
         }
      elseif(0 == strcmp($PROTO, "HOST")){
         print("<tr><td>");
         print("STEP5: HOST 53固定\n");
         print("</td></tr>");
         print("<tr><td>");
         print("<INPUT type='hidden' NAME=PORT size='8' value='53'>");
         print("</td></tr>");
         }
      else {
         print("<tr><td>");
         print("STEP5: 監視先のポート\n");
         print("</td></tr>");
         print("<tr><td>");
         print("<INPUT type='text' NAME=PORT size='8' value=>");
         print("<br>");
         print("<a href='./monitor_manu.php?QUE_DATA=PORT&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
         print("</td></tr>");

         print("<tr><td>");
         print("<br>");
         print("ポート番号なので数字で\n");
         print("<br>");
         print("</td></tr>");
         }
      }
   else {
      print("<tr><td>");
      print("STEP5: SNMPのセクション名n");
      print("</td></tr>");
      print("<tr><td>");
      print("<INPUT type='text' NAME=PORT value=>");
      print("<br>");
      print("<a href='./monitor_manu.php?QUE_DATA=PORT_SNMP&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
      print("</td></tr>");

      print("<tr><td>");
      print("<br>");
      print("対象に接続する際の名前です\n");
      print("<br>");
      print("</td></tr>");
      }

   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");
   print("<input type=hidden value='$PROTO' name=PROTO>\n");
   print("<input type=hidden value='$CIP' name=CIP>\n");
   print("<input type=hidden value='$PRINO' name=PRINO>\n");
   print("<input type=hidden value='$COM' name=COM>\n");

   }



elseif($step1 > 0 && $step2 > 0 && $step3 > 0 && $step4 > 0 && $step5 > 0 && $step6 <= 0){
   $count = 7;

   print("<tr><td>");
   print("STEP6: 監視先の情報\n");
   print("</td></tr>");
   print("<tr><td>");
   print("<INPUT type='text' NAME=PINFO value=>");
   print("<br>");
   print("<a href='./monitor_manu.php?QUE_DATA=PINFO&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
   print("</td></tr>");

   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");
   print("<input type=hidden value='$PROTO' name=PROTO>\n");
   print("<input type=hidden value='$CIP' name=CIP>\n");
   print("<input type=hidden value='$PRINO' name=PRINO>\n");
   print("<input type=hidden value='$PORT' name=PORT>\n");
   print("<input type=hidden value='$COM' name=COM>\n");

   }

elseif($step1>0 && $step2>0 && $step3>0 && $step4>0 && $step5>0 && $step6>0 && $step7<=0){
   $count = 8;

   print("<tr><td>");
   print("STEP7: この監視について\n");
   print("</td></tr>");
   print("<tr><td>");
   print("<INPUT type='text' NAME=FREE1 value=>");
   print("<br>");
   print("<a href='./monitor_manu.php?QUE_DATA=FREE1&USER_NAME=$youname' target='top'>この項目のマニュアル</a><br>");
   print("</td></tr>");

   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");
   print("<input type=hidden value='$PROTO' name=PROTO>\n");
   print("<input type=hidden value='$CIP' name=CIP>\n");
   print("<input type=hidden value='$PRINO' name=PRINO>\n");
   print("<input type=hidden value='$PORT' name=PORT>\n");
   print("<input type=hidden value='$PINFO' name=PINFO>\n");
   print("<input type=hidden value='$COM' name=COM>\n");

   }

/*
elseif($step1>0 && $step2>0 && $step3>0 && $step4>0 && $step5>0 && $step6>0 && $step7>0 && $step8<=0 && 0==strcmp($PROTO, "HOST")){
   $count = 9;

   print("<tr><td>");
   print("STEP8: 検索ホスト名の比較アドレス\n");
   print("</td></tr>");
   print("<tr><td>");
   print("<INPUT type='text' NAME=COM value=>");
   print("</td></tr>");

   print("<tr><td>");
   print("<br>");
   print("DNSで引かれたIPと比較するIP\n");
   print("<br>");
   print("</td></tr>");

   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$PROTO' name=PROTO>\n");
   print("<input type=hidden value='$CIP' name=CIP>\n");
   print("<input type=hidden value='$PRINO' name=PRINO>\n");
   print("<input type=hidden value='$PORT' name=PORT>\n");
   print("<input type=hidden value='$PINFO' name=PINFO>\n");
   print("<input type=hidden value='$FREE1' name=FREE1>\n");

   }
*/


if($step1>0 && $step2>0 && $step3>0 && $step4>0 && $step5>0 && $step6>0 && $step7>0 && $step8>0 && 0==strcmp($MONITOR, "SNMP")){
   print("<td>\n");
   print("</form>\n");
   print("<FORM METHOD=GET ACTION='./monitor_newedit.php' target='top'>\n");
   print("<input type=hidden value='$youname' name=FREE4>\n");
   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");
   print("<input type=hidden value='$PROTO' name=PROTO>\n");
   print("<input type=hidden value='$CIP' name=CIP>\n");
   print("<input type=hidden value='$PRINO' name=PRINO>\n");
   print("<input type=hidden value='$PORT' name=PORT>\n");
   print("<input type=hidden value='$PINFO' name=PINFO>\n");
   print("<input type=hidden value='$FREE1' name=FREE1>\n");
   print("<input type=hidden value='$COM' name=COM>\n");
   print("<input type=submit value='エディターに反映します'>\n");
   print("</td></tr><br><br>\n");
   print("</form>\n");
   }
elseif($step1>0 && $step2>0 && $step3>0 && $step4>0 && $step5>0 && $step6>0 && $step7>0 && 0==strcmp($MONITOR, "PORT")){
   print("<td>\n");
   print("</form>\n");
   print("<FORM METHOD=GET ACTION='./monitor_newedit.php' target='top'>\n");
   print("<input type=hidden value='$youname' name=FREE4>\n");
   print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
   print("<input type=hidden value='$FREE4' name=FREE4>\n");
   print("<input type=hidden value='$PROTO' name=PROTO>\n");
   print("<input type=hidden value='$CIP' name=CIP>\n");
   print("<input type=hidden value='$PRINO' name=PRINO>\n");
   print("<input type=hidden value='$PORT' name=PORT>\n");
   print("<input type=hidden value='$PINFO' name=PINFO>\n");
   print("<input type=hidden value='$FREE1' name=FREE1>\n");
   print("<input type=hidden value='$COM' name=COM>\n");
   print("<input type=submit value='エディターに反映します'>\n");
   print("</td></tr><br><br>\n");
   print("</form>\n");
   }

else{
   print("<tr><td>\n");
   print("<input type=hidden value='$youname' name=USER_NAME>\n");
   print("<input type=submit value='次のステップに進みます'>\n");
   print("</td></tr>\n");
   print("</form>\n");
   }



if($count > 1){
   print("<FORM METHOD=GET ACTION='./monitor_new.php' target='menu'>\n");
   if(0 == strcmp($MONITOR, "PORT")){
      switch($count){
         case 2:  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 4:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 5:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$PROTO' name=PROTO>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 6:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$PROTO' name=PROTO>\n");
                  print("<input type=hidden value='$CIP' name=CIP>\n");
                  print("<input type=hidden value='$COM' name=COM>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 7:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$PROTO' name=PROTO>\n");
                  print("<input type=hidden value='$CIP' name=CIP>\n");
                  print("<input type=hidden value='$COM' name=COM>\n");
                  print("<input type=hidden value='$PRINO' name=PRINO>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 8:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$PROTO' name=PROTO>\n");
                  print("<input type=hidden value='$CIP' name=CIP>\n");
                  print("<input type=hidden value='$COM' name=COM>\n");
                  print("<input type=hidden value='$PRINO' name=PRINO>\n");
                  print("<input type=hidden value='$PORT' name=PORT>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         default: break;
         }
      }
   if(0 == strcmp($MONITOR, "SNMP")){
      switch($count){
         case 3:  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 4:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 5:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$PROTO' name=PROTO>\n");
                  print("<input type=hidden value='$COM' name=COM>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 6:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$PROTO' name=PROTO>\n");
                  print("<input type=hidden value='$COM' name=COM>\n");
                  print("<input type=hidden value='$CIP' name=CIP>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 7:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$PROTO' name=PROTO>\n");
                  print("<input type=hidden value='$COM' name=COM>\n");
                  print("<input type=hidden value='$CIP' name=CIP>\n");
                  print("<input type=hidden value='$PRINO' name=PRINO>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         case 8:  print("<input type=hidden value='$MONITOR' name=MONITOR>\n");
                  print("<input type=hidden value='$FREE4' name=FREE4>\n");
                  print("<input type=hidden value='$PROTO' name=PROTO>\n");
                  print("<input type=hidden value='$COM' name=COM>\n");
                  print("<input type=hidden value='$CIP' name=CIP>\n");
                  print("<input type=hidden value='$PRINO' name=PRINO>\n");
                  print("<input type=hidden value='$PORT' name=PORT>\n");
                  print("<input type=hidden value='$youname' name=USER_NAME>\n");
                  break;
         default: break;
         }
      }

   print("<tr><td>\n");
   print("<input type=submit value='一つ戻ります'>\n");
   print("</td></tr><br>\n");
   print("</form>\n");
   }

// print("Count = $count\n");


print("</table>\n");


?>

</BODY>
</HTML>
